org.jenkinsci.maven.plugins.hpi

## Class AbstractJenkinsMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  AbstractHpiMojo, TestInsertionMojo, ValidateMojo

    public abstract class AbstractJenkinsMojo
    extends org.apache.maven.plugin.AbstractMojo

Mojos that need to figure out the Jenkins version it's working with.

Author:
  Kohsuke Kawaguchi

### Field Summary

Fields
`protected java.lang.String` `jenkinsCoreId` Optional string that represents "groupId:artifactId" of Jenkins core jar.
`protected org.apache.maven.project.MavenProject` `project` The maven project.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJenkinsMojo()`

### Method Summary

Methods
`protected java.lang.String` `findJenkinsVersion()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.plugin.Mojo

`execute`

### Field Detail

#### project

    protected org.apache.maven.project.MavenProject project

The maven project.

#### jenkinsCoreId

    protected java.lang.String jenkinsCoreId

Optional string that represents "groupId:artifactId" of Jenkins core jar. If left unspecified, the default groupId/artifactId pair for Jenkins is looked for.

Since:
  1.65

### Constructor Detail

#### AbstractJenkinsMojo

    public AbstractJenkinsMojo()

### Method Detail

#### findJenkinsVersion

    protected java.lang.String findJenkinsVersion()
                                           throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`